# Uses of Interface
com.sun.source.tree.SwitchTree

Packages that use SwitchTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of SwitchTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type SwitchTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitSwitch(SwitchTree node, P p)`
Visits a `SwitchTree` node.

## Uses of SwitchTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type SwitchTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitSwitch(SwitchTree node, P p)`
Visits a `SwitchTree` node.
`R`
TreeScanner.`visitSwitch(SwitchTree node, P p)`
Visits a `SwitchTree` node.